<!-- Replace ion-header with a Material Toolbar -->
<mat-toolbar color="primary">
    <span>Login</span>
</mat-toolbar>

<!-- Use a basic div for content -->
<div class="content content-padding">
    <div class="login-container">

        <mat-form-field appearance="outline">
            <mat-label>Email</mat-label>
            <input autocomplete="off" [formControl]="email" matInput type="email" required/>
        </mat-form-field>

        <mat-form-field appearance="outline">
            <mat-label>Password</mat-label>
            <input autocomplete="off" [formControl]="password" matInput type="password" required/>
        </mat-form-field>

        <ng-container *ngIf="loginResult !== ''">
            <div>{{loginResult}}</div>
        </ng-container>

        <div class="action-container">
            <div class="signup-prompt" [routerLink]="['/auth/signup']">
                Don't have an account? <a style="color: blue;">Sign up</a>
            </div>
            <button class="login-button" (click)="login()" [disabled]="!loginValid()" color="primary" mat-raised-button>
                Login
            </button>
        </div>
    </div>
</div>

